> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/instance/startagentmonitor.md).

# StartAgentMonitor

## 1. API Description

This API (StartAgentMonitor) is used to enable QEMU Guest Agent (QGA) monitoring data collection for an elastic compute instance. After it is enabled, the internal performance metrics of the instance can be obtained through the monitoring interfaces.

{% hint style="info" %}
**Notes**

* Before enabling Agent monitoring collection, make sure that QGA (QEMU Guest Agent) has been installed in the instance.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                                        |
| -------------- | -------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| instanceId     | Yes      | String | <p>ID of the instance to be operated on.</p><p>It can be obtained by calling <a href="/api-reference/zec/instance/describeinstances.md">DescribeInstances</a>.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Enable QEMU Guest Agent (QGA) data collection.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: StartAgentMonitor
<Common Request Params>

Request:
{
  "instanceId": "instanceId1"
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                    | Description         |
| ---------------- | --------------------------------------------- | ------------------- |
| 404              | INVALID\_INSTANCE\_NOT\_FOUND                 | Instance not found. |
| 400              | OPERATION\_DENIED\_INSTANCE\_AGENT\_NOT\_OPEN | QGA is not enabled. |
